<?php

namespace Drupal\commerce_svea\Event;

use Drupal\commerce_order\Entity\OrderInterface;
use Symfony\Component\EventDispatcher\Event;

/**
 * Represents a Svea order event.
 *
 * @see \Drupal\commerce_svea\Event\SveaCheckoutEvents
 */
class SveaOrderEvent extends Event {

  /**
   * The order.
   *
   * @var \Drupal\commerce_order\Entity\OrderInterface
   */
  protected $order;

  /**
   * Constructs a new SveaOrderEvent object.
   *
   * @param \Drupal\commerce_order\Entity\OrderInterface $order
   *   The order.
   */
  public function __construct(OrderInterface $order) {
    $this->order = $order;
  }

  /**
   * Gets the commerce order.
   *
   * @return \Drupal\commerce_order\Entity\OrderInterface
   *   The commerce order entity.
   */
  public function getOrder(): OrderInterface {
    return $this->order;
  }

}
